import { Component } from '@angular/core';
import { Title } from '@angular/platform-browser';
import { ToolService } from './services/tool.service';
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.less']
})
export class AppComponent {
  constructor(private titleService:Title, private tool:ToolService){
    this.tool.getSysNameAndLogoAsync().subscribe(result => {
      let logoTitle = result.sysName || '';
      let logoUrl = location.origin + '/file' + result.logo || '';
      let faviconUrl = location.origin + '/file' + result.favicon || '';
      this.tool.setSysName(logoTitle);
      this.tool.setLogo(logoUrl);
      this.tool.setFavicon(faviconUrl);
      this.titleService.setTitle(this.tool.logoTitle);
      console.log(document.querySelector('#favicon'));
      (document.querySelector('#favicon') as any).href = this.tool.faviconUrl;
    })
  }
}
